.AccountSelector {
  margin-bottom: 20px;

  .info {
    height: 50px;
    .name {
      font: var(--font-title);
    }
    .email {
      font-style: italic;
      color: var(--color-primary-3);
    }
  }

  :global {
    .ant-card-body {
      height: 100px;
      display: flex;
      align-items: center;

      .ant-avatar {
        margin-right: 20px;
      }
      .ant-btn {
        margin-left: auto;
      }
    }
  }

  &.empty {
    .label {
      margin-right: 10px;
    }

    :global {
      .ant-select {
        width: 500px;
      }
    }
  }
}

.IOActions {
  .header {
    display: flex;
    justify-content: space-between;
    align-items: center;

    .search {
      :global {
        .ant-select {
          width: 400px;
        }
      }
    }
  }

  .title {
    font: var(--font-title);
    margin-bottom: 10px;
  }
  .divide {
    padding-top: 25px;
    margin-bottom: 25px;
    border-bottom: 1px solid var(--color-white-3);
  }

  :global {
    .ant-card-body {
      height: calc(100vh - 220px);

      .ant-btn {
        margin-right: 10px;
      }

      .ant-table {
        margin-bottom: 10px;

        .ant-table-tbody tr.bookRow {
          .actions {
            display: flex;
            align-items: center;
  
            .anticon {
              margin-right: 10px;
  
              &.anticon-check {
                color: var(--color-primary-4);
              }
              &.anticon-close {
                color: var(--color-red-3);
              }
            }
          }
  
          &__opacity {
            th, td {
              opacity: 0.4;
              text-decoration: line-through;
  
              &.actions {
                opacity: 1;
              }
            }
          }
        }
      }
    }
  }
}

.IOList {
  :global {
      .ant-table-tbody {
        tr {
          &.ioRow {
            &__unknown {
              color: var(--color-red-3);
            }
            &__returned {
              color: var(--color-black-8);
            }
          }
        }
      }
  }
}